<template>
	<div>
		<div v-infinite-scroll="loadMore" infinite-scroll-disabled="busy" :infinite-scroll-distance="10">
			<div v-for="temp in data">
				<box5 v-bind="temp"></box5>
			</div>
			<div v-if="loading && !busy" class="demo-loading-container">
				<a-spin />
			</div>
		</div>
		<div style="position:fixed;bottom: 10px;" id="dddadf">
			<a-pagination @change="onChange" :showQuickJumper="true" :size="size" v-model="current"
				:defaultPageSize="pageSize" :total="total" />
		</div>
		<a-back-top>
			<a-icon type="up" />回到顶部
		</a-back-top>
	</div>
</template>
<script>
	import infiniteScroll from 'vue-infinite-scroll';
	import box5 from "../mini/box5-article.vue"
	import babyActicle from '../../assets/baby.htm'
	import shijie from '../../assets/shijie.htm'

	var obj1 = {
		"source": babyActicle,
		"title": "陈奕迅-Body Song 歌词",
		"read": 1101,
		"like": 233,
		"folder": "歌词",
		"publishTime": "2021-05-26",
	}
	var obj2 = {
		"source": shijie,
		"title": "这世界那么多人-吉他谱",
		"read": 3101,
		"like": 113,
		"folder": "吉他谱",
		"publishTime": "2020-05-26",
	}
	var obj3 = {
		"source": shijie,
		"title": "遥远的它-吉他谱",
		"read": 201,
		"like": 13,
		"folder": "吉他谱",
		"publishTime": "2022-07-26",
	}

	export default {
		components: {
			box5
		},
		directives: {
			infiniteScroll
		},
		data() {
			return {

				data: [],
				loading: false,
				busy: false,
				size: "small",
				total: 500,
				pageSize: 20,
				current: 1,
			};
		},
		beforeMount() {
			this.data = [obj1, obj2,obj3];
		},
		methods: {
			onChange(current) {
				this.current = current;
				this.data = [obj2, obj3, obj1, obj2];
			},
			loadMore() {
				const data = this.data;
				this.loading = true;

				this.current += 1;
				console.log(this.current);
				console.log(this.busy);

				if (data.length > 15) {
					this.$message.warning('没有更多了');
					this.busy = true;
					this.loading = false;
					return;
				}


				setTimeout(function() {
					this.loading = false;
				}, 1000);

				this.data = data.concat(obj1, obj3, obj2, obj3, obj1);

			},
		},
	};
</script>
<style>
	/* .test {
		overflow: hidden;
		height: 700px;
	}

	.infinite-container {
		overflow: auto;
	}

	.infinite-container::-webkit-scrollbar {
		display: none;
	} */

	.demo-loading-container {
		position: absolute;
		bottom: 40px;
		width: 100%;
		text-align: center;
	}
</style>
